﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TBS1154: (1 year) VER VISA /5800A+1Ch
DATE:                  2018-09-27 12:10:23
AUTHOR:                Fluke
REVISION:              $Revision: 25076 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       212
CONFIGURATION:         Fluke 5800A
=============================================================================
#
#  Procedure Author:
#      PP
#
#  Source(s):
#      TBS1000 Series Digital Storage Oscilloscopes Service Manual
#      PN 077-0772-01.*
#      * The tolerances used by this procedure were taken from the published
#      specifications table and is specified below.
#
#  Compatibility:
#      MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#      None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5800         60MH                         1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                                     V

  1.006  IF           NOT(VERSIONCHECK("8.0"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Verification Method (No NTHROW)

  1.013  DISP         Ensure a minimum DUT warm-up time of at least
  1.013  DISP         10 minutes has been allowed to elapse, prior
  1.013  DISP         to beginning verification.

  1.014  HEAD         COMMUNICATION SETUP
  1.015  TARGET
  1.016  CALL         Sub Tek TBS1000 USB Remote Interface Connection
  1.017  VISA         *RST

  1.018  HEAD         DUT IDENTIFICATION
  1.019  CALL         Sub IEEE-488.2 *IDN? VISA
  1.020  MATH         @DUT_Model = "TBS 1154"
  1.021  MATH         @DUT_Manufacturer = "Tektronix"
  1.022  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.023  JMPL         END                          @Abort

  1.024  CALL         Sub Tek TBS1000 Specifications

# Specify whether the calibrator have multi channels during test in order
# to decide proper connection instruction be taken in the sub procedures.
  1.025  MATH         @SourceMultiCh = 0

  1.026  HEAD         EQUIPMENT REQUIREMENTS
  1.027  OPBR         -z Do you want to review the list of additional
  1.027  OPBR         equipment and/or accessories required?

  1.028  IF           MEM1
  1.029  CALL         Sub Tek TBS1000 VER Required Equipment /5800
  1.030  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.031  CALL         Sub Tek TBS1000 Self-Test VISA
  1.032  JMPL         END                          @Abort
  1.033  CALL         Sub Tek TBS1000 Sig Path Comp Cal VISA
  1.034  JMPL         END                          @Abort

  1.035  MATH         @Chan = 1
  1.036  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /5800
  1.037  JMPL         VERTICAL_POSITION_CH1

  1.038  LABEL        DCV_CH2
  1.039  MATH         @Chan = 2
  1.040  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /5800
  1.041  JMPL         VERTICAL_POSITION_CH2

  1.042  LABEL        DCV_CH3
  1.043  MATH         @Chan = 3
  1.044  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /5800
  1.045  JMPL         VERTICAL_POSITION_CH3

  1.046  LABEL        DCV_CH4
  1.047  MATH         @Chan = 4
  1.048  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /5800
  1.049  JMPL         VERTICAL_POSITION_CH4

  1.050  LABEL        BANDWIDTH_CH1
  1.051  MATH         @Chan = 1
  1.052  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /5800
  1.053  JMPL         TRIG_CH1

  1.054  LABEL        BANDWIDTH_CH2
  1.055  MATH         @Chan = 2
  1.056  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /5800
  1.057  JMPL         TRIG_CH2

  1.058  LABEL        BANDWIDTH_CH3
  1.059  MATH         @Chan = 3
  1.060  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /5800
  1.061  JMPL         TRIG_CH3

  1.062  LABEL        BANDWIDTH_CH4
  1.063  MATH         @Chan = 4
  1.064  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /5800
  1.065  JMPL         TRIG_CH4

  1.066  LABEL        TRIG_CH1
  1.067  MATH         @Chan = 1
  1.068  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /5800
  1.069  JMPL         SAMPLE_RATE_DELAY_TIME

  1.070  LABEL        TRIG_CH2
  1.071  MATH         @Chan = 2
  1.072  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /5800
  1.073  JMPL         BANDWIDTH_CH3

  1.074  LABEL        TRIG_CH3
  1.075  MATH         @Chan = 3
  1.076  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /5800
  1.077  JMPL         BANDWIDTH_CH4

  1.078  LABEL        TRIG_CH4
  1.079  MATH         @Chan = 4
  1.080  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /5800

  1.081  MATH         @Chan = 1
  1.082  CALL         Sub Tek TBS1000 (1 yr) ExTrig Sens VISA /5800

  1.083  MATH         @Chan = 2
  1.084  CALL         Sub Tek TBS1000 (1 yr) ExTrig Sens VISA /5800

  1.085  MATH         @Chan = 3
  1.086  CALL         Sub Tek TBS1000 (1 yr) ExTrig Sens VISA /5800

  1.087  MATH         @Chan = 4
  1.088  CALL         Sub Tek TBS1000 (1 yr) ExTrig Sens VISA /5800
  1.089  JMPL         END

  1.090  LABEL        SAMPLE_RATE_DELAY_TIME
  1.091  MATH         @Chan = 1
  1.092  CALL         Sub Tek TBS1000 (1 yr) Sample Rate VISA /5800
  1.093  JMPL         BANDWIDTH_CH2

  1.094  LABEL        VERTICAL_POSITION_CH1
  1.095  MATH         @Chan = 1
  1.096  CALL         Sub Tek TBS1000 (1 yr) Vert Pos VISA /5800
  1.097  JMPL         DCV_CH2

  1.098  LABEL        VERTICAL_POSITION_CH2
  1.099  MATH         @Chan = 2
  1.100  CALL         Sub Tek TBS1000 (1 yr) Vert Pos VISA /5800
  1.101  JMPL         DCV_CH3

  1.102  LABEL        VERTICAL_POSITION_CH3
  1.103  MATH         @Chan = 3
  1.104  CALL         Sub Tek TBS1000 (1 yr) Vert Pos VISA /5800
  1.105  JMPL         DCV_CH4

  1.106  LABEL        VERTICAL_POSITION_CH4
  1.107  MATH         @Chan = 4
  1.108  CALL         Sub Tek TBS1000 (1 yr) Vert Pos VISA /5800
  1.109  LABEL        BANDWIDTH_CH1

  1.110  LABEL        END

  1.111  IF           @Abort
  1.112  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.113  ENDIF

  1.114  VISA         *RST
  1.115  END
