﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TBS1000 (1 yr) Sample Rate VISA /5800
DATE:                  2018-08-22 17:30:07
AUTHOR:                Fluke
REVISION:              $Revision: 25079 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       93
CONFIGURATION:         Fluke 5800A
=============================================================================
#
#  Procedure Author:
#      PP
#
#  Source(s):
#      TBS1000 Series Digital Storage Oscilloscopes Service Manual
#      PN 077-0772-01.*
#      * The tolerances used by this procedure were taken from the published
#      specifications table and is specified below.
#
#  Model(s) Covered:
#      TBS1000 Series
#          TBS1022, TBS1042, TBS1062, TBS1064, TBS1102, TBS1104,
#		   TBS1152, TBS1154.
#
#  Compatibility:
#      MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#      None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         SAMPLE RATE AND DELAY TIME ACCURACY
  1.003  MATH         @Cmd = "*RST;HEADER OFF"
  1.004  CALL         Sub Tek TBS1000 Wait for OPC VISA
  1.005  JMPL         END                          @Abort
  1.006  CALL         Sub Tek TBS1000 Select Channel VISA
  1.007  TARGET
  1.008  VISA         CH[V @Chan]:PRO 1;SCA 500E-3
  1.009  CALL         Sub Tek TBS1000 Wait for OPC VISA
  1.010  JMPL         END                          @Abort
  1.011  VISA         HOR:SCA 1E-3
  1.012  CALL         Sub Tek TBS1000 Wait for OPC VISA
  1.013  JMPL         END                          @Abort
  1.014  VISA         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2
  1.015  CALL         Sub Tek TBS1000 Wait for OPC VISA
  1.016  JMPL         END                          @Abort
  1.017  5800         10mT                                        M2 S6 S  L
  1.018  WAIT         -t 2 System settling...
  1.019  VISA         TRIG:MAI SETLEV
  1.020  CALL         Sub Tek TBS1000 Wait for OPC VISA
  1.021  JMPL         END                          @Abort
  1.022  VISA         CH[V @Chan]:POS 0
  1.023  CALL         Sub Tek TBS1000 Wait for OPC VISA
  1.024  JMPL         END                          @Abort

  1.025  WAIT         -t 2 System settling...
# Center the time mark signal on the screen.
  1.026  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
# Compute desired vertical position based on Pk-Pk reading and vertical scale.
  1.027  MATH         L[1] = -1 * ((MEM / 2) / 500E-3)
  1.028  VISA         CH[V @Chan]:POS [L1]
  1.029  CALL         Sub Tek TBS1000 Wait for OPC VISA
  1.030  JMPL         END                          @Abort
  1.031  VISA         HOR:POS 10E-3;SCA 250E-9
  1.032  CALL         Sub Tek TBS1000 Wait for OPC VISA
  1.033  JMPL         END                          @Abort
  1.034  MESS         Does the rising edge of the marker cross the center
  1.034  MESS         horizontal graticule line within ±2 divisions of
  1.034  MESS         center graticule?
  1.035  EVAL   -s "SAMPLE RATE AND DELAY TIME ACCURACY" :

  2.001  LABEL        END
  2.002  MESS
  2.003  HEAD
  2.004  5800         *                                                 S
  2.005  END
